classification
Title: IDLE: Gray out Code Context on non-editor windows
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: cheryl.sabella, terry.reedy
Priority: normal Keywords: patch

Created on 2018-12-21 23:43 by cheryl.sabella, last changed 2018-12-28 18:30 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11282 merged cheryl.sabella, 2018-12-22 19:44
PR 11300 merged miss-islington, 2018-12-24 15:43
PR 11343 merged cheryl.sabella, 2018-12-28 14:02
PR 11344 merged miss-islington, 2018-12-28 18:24
Messages (6)
msg332311 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2018-12-21 23:43
M3 from #33610.

Gray out menu entry when not applicable.
msg332328 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-12-22 06:54
PR 11282 should have been listed above.
msg332397 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-12-23 22:37
Thank you.  The backport is PR 11300.
msg332471 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-12-24 15:42
New changeset 8874f511e7473b08d6b0ccd9261dd415a072a34d by Terry Jan Reedy (Cheryl Sabella) in branch 'master':
bpo-35555: IDLE: Gray out Code Context menu item on non-editors (#11282)
https://github.com/python/cpython/commit/8874f511e7473b08d6b0ccd9261dd415a072a34d
msg332472 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-12-24 15:45
New changeset d4f7616da3c9aa870e9e2580e1019d6a62173e12 by Terry Jan Reedy (Miss Islington (bot)) in branch '3.7':
bpo-35555: IDLE: Gray out Code Context menu item on non-editors (GH-11282) (GH-11300)
https://github.com/python/cpython/commit/d4f7616da3c9aa870e9e2580e1019d6a62173e12
msg332671 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-12-28 18:12
A function to change state will be needed in the future, as illustrated by a preliminary version of PR-11325. On that PR, I requested that this part of that PR should be attached to this issue instead, with no change in the blurb.
History
Date User Action Args
2018-12-28 18:30:44terry.reedysetpull_requests: - pull_request10634
2018-12-28 18:30:30terry.reedysetpull_requests: - pull_request10635
2018-12-28 18:24:18miss-islingtonsetpull_requests: + pull_request10635
2018-12-28 18:24:11miss-islingtonsetpull_requests: + pull_request10634
2018-12-28 18:24:02miss-islingtonsetpull_requests: + pull_request10633
2018-12-28 18:12:43terry.reedysetmessages: + msg332671
2018-12-28 18:06:15terry.reedysetpull_requests: - pull_request10631
2018-12-28 18:06:00terry.reedysetpull_requests: - pull_request10632
2018-12-28 14:02:50cheryl.sabellasetpull_requests: + pull_request10632
2018-12-28 14:02:43cheryl.sabellasetpull_requests: + pull_request10631
2018-12-28 14:02:36cheryl.sabellasetpull_requests: + pull_request10630
2018-12-24 15:45:03terry.reedysetmessages: + msg332472
2018-12-24 15:43:37miss-islingtonsetpull_requests: + pull_request10535
2018-12-24 15:42:46terry.reedysetmessages: + msg332471
2018-12-23 22:37:30terry.reedysetstatus: open -> closed
resolution: fixed
messages: + msg332397

stage: patch review -> resolved
2018-12-23 22:35:24cheryl.sabellalinkissue24814 dependencies
2018-12-23 21:59:51terry.reedysetversions: + Python 3.7
2018-12-22 19:44:16cheryl.sabellasetkeywords: + patch
pull_requests: + pull_request10515
2018-12-22 06:54:55terry.reedysetmessages: + msg332328
stage: patch review
2018-12-21 23:55:48cheryl.sabellalinkissue33610 dependencies
2018-12-21 23:43:14cheryl.sabellacreate